export interface ResourceLoader {
    getResourceBlob: (name: string) => Promise<string> | undefined;
    getResourceString: (name: string) => Promise<string> | undefined;
    clearCache: () => void;
}
export declare function getResourceLoader(jarUrl: string | string[]): Promise<ResourceLoader>;
